require 'sinatra/base'
require 'logger'
require 'sinatra/els'

class Tester < Sinatra::Base
  set :root, File.expand_path(File.join(File.dirname(__FILE__), '..'))
  
  register Sinatra::ELS
  
  set :els_opts, YAML.load_file(File.join(settings.root, 'config','els.yml'))[settings.environment.to_s]
  
  els_before :only => ["^\/auth"]  
  
  get '/no_auth' do
    "It works!"
  end
  
  get '/auth' do
    "It works!"
  end
  
end

